/*
 * $Id: inet_ntoa.c,v 0.5 1991/09/15 10:24:32 linus Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
** inet_ntoa.c                This version only for buggy SPARC+SunOS4.1.1
*/

#include <m-config.h>		/* This defines BUGGY_INET_NTOA on a sun4. */

#ifdef BUGGY_INET_NTOA

static char *rcsid = "$Id: inet_ntoa.c,v 0.5 1991/09/15 10:24:32 linus Exp $";

#include <stdio.h>
#include <sys/types.h>
#include <netinet/in.h>

char *inet_ntoa(struct in_addr iad)
{
  static char addr[20];
  int a, b, c, d;
  unsigned long s_ad = iad.s_addr;

  
  d = s_ad % 256;
  s_ad /= 256;
  c = s_ad % 256;
  s_ad /= 256;
  b = s_ad % 256;
  a = s_ad / 256;

  sprintf(addr, "%d.%d.%d.%d", a, b, c, d);
  return addr;
}

#endif
